Articles
Created or refreshed documents, newest first.
apiKeyx-api-key<token>Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...
brandId*stringuuidkind?string"create""create""refresh"page?integer1 <= value1One page of documents
application/jsonitems*array<>total*integerpage*integerpageSize*integercurl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents'{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "create", "status": "planned", "contentType": "article", "length": "short", "refreshLevel": "conservative", "title": "string", "topic": "string", "promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67", "sourceUrl": "string", "publishedUrl": "string", "error": "string", "createdAt": "string", "updatedAt": "string" } ], "total": 0, "page": 0, "pageSize": 0}curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents'{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"kind": "create",
"status": "planned",
"contentType": "article",
"length": "short",
"refreshLevel": "conservative",
"title": "string",
"topic": "string",
"promptId": "b5415d63-4390-40ec-8c2b-33a2db2f5c67",
"sourceUrl": "string",
"publishedUrl": "string",
"error": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"total": 0,
"page": 0,
"pageSize": 0
}